更多 选择语言
安全预警-QEMU USB模拟器越界读写漏洞
预警编号:INSPUR-SA-202009-001
初始发布时间:2020-10-01 22:28:44
更新发布时间:2020-10-01 22:28:44
漏洞来源:

该漏洞由奇虎360研究人员发现。

漏洞影响:

攻击者在拥有云环境虚拟机操作系统权限的情况下,可以利用该漏洞获取宿主机权限,进而攻击虚拟机所在资源池所有租户主机

漏洞描述:

QEMU USB模拟器中存在一个越界读写漏洞(CVE-2020-14364),此漏洞由于QEMU USB模块中的数组越界读写造成,漏洞位于“./hw/usb/core.c” 中。攻击者在拥有云环境虚拟机操作系统权限的情况下,可以利用该漏洞获取宿主机权限,进而攻击虚拟机所在资源池所有租户主机。

CVSS评分:

CVE V3.1 Vector(Base) Base Score V3.1 Vector(Temporal Score) Temporal Score
CVE-2020-10713 AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H 8.2 E:U/RL:O/RC:C 7.1

受影响产品:

产品名称 受影响产品版本 修复补丁包/升级包版本
ICS ICS<=5.8.1 
V5.8.1版本通过补丁进行修复,补丁包名称:
IncloudSphere-V5R08B017-b1-M001.hotfix.zip
IncloudSphere-V5R08B017-b1-S001.hotfix.zip;
小于V5.8.1版本产品,需要先升级到v5.8.1版本,再通过补丁进行修复。
ICOS ICOS<=5.8 ICOS-CVE-2020-14364.rar

技术细节:

漏洞原因:当s->setup_len 获得的值大于sizeof(s->data_buf) 时,返回时没有将s->setup_len的值清零。导致后续在函数do_token_in 或 do_token_out使用s->setup_len时出现越界读写漏洞。

漏洞解决方案:

ICOS、ICS用户直接联系支持人员获取补丁以及相关的技术协助。

FAQ:

更新记录:

20201001-V1.0-Initial Release

浪潮安全应急响应对外服务:
浪潮一贯主张尽全力保障产品用户的最终利益,遵循负责任的安全事件披露原则,并通过产品安全问题处理机制处理产品安全问题。
反馈浪潮产品安全问题: https://www.inspur.com/lcjtww/psirt/vulnerability-management/index.html#report_ldbg
订阅浪潮产品安全信息: https://en.inspur.com/en/security_bulletins/vulnerability_subscription/index.html

获取技术支持:https://www.inspur.com/lcjtww/2317452/2317456/2317460/index.html

声明

本文档提供的所有数据和信息仅供参考,且"按原样"提供,不承诺任何明示、默示和法定的担保,包括(但不限于)对适销性、适用性及不侵权的担保。在任何情况下,浪潮或其直接或间接控制的子公司,或其供应商,均不对任何一方因依赖或使用本信息而遭受的任何损失承担责任,包括直接,间接,偶然,必然的商业利润损失或特殊损失。浪潮保留随时更改或更新此文档的权利。


线




×
联系我们
服务器、存储、网络产品购买热线
400-860-6708
ERP、管理软件购买热线
400-018-7700
云服务产品销售热线
400-607-6657